# -*- coding: utf-8 -*-
import config

EN_NAMES = {
    1: 'Bulbasaur', 2: 'Ivysaur', 3: 'Venusaur', 4: 'Charmander',
    5: 'Charmeleon', 6: 'Charizard', 7: 'Squirtle', 8: 'Wartortle',
    9: 'Blastoise', 10: 'Caterpie', 11: 'Metapod', 12: 'Butterfree',
    13: 'Weedle', 14: 'Kakuna', 15: 'Beedrill', 16: 'Pidgey', 17: 'Pidgeotto',
    18: 'Pidgeot', 19: 'Rattata', 20: 'Raticate', 21: 'Spearow', 22: 'Fearow',
    23: 'Ekans', 24: 'Arbok', 25: 'Pikachu', 26: 'Raichu', 27: 'Sandshrew',
    28: 'Sandslash', 29: 'Nidoran♀', 30: 'Nidorina', 31: 'Nidoqueen',
    32: 'Nidoran♂', 33: 'Nidorino', 34: 'Nidoking', 35: 'Clefairy',
    36: 'Clefable', 37: 'Vulpix', 38: 'Ninetales', 39: 'Jigglypuff',
    40: 'Wigglytuff', 41: 'Zubat', 42: 'Golbat', 43: 'Oddish', 44: 'Gloom',
    45: 'Vileplume', 46: 'Paras', 47: 'Parasect', 48: 'Venonat',
    49: 'Venomoth', 50: 'Diglett', 51: 'Dugtrio', 52: 'Meowth', 53: 'Persian',
    54: 'Psyduck', 55: 'Golduck', 56: 'Mankey', 57: 'Primeape',
    58: 'Growlithe', 59: 'Arcanine', 60: 'Poliwag', 61: 'Poliwhirl',
    62: 'Poliwrath', 63: 'Abra', 64: 'Kadabra', 65: 'Alakazam', 66: 'Machop',
    67: 'Machoke', 68: 'Machamp', 69: 'Bellsprout', 70: 'Weepinbell',
    71: 'Victreebel', 72: 'Tentacool', 73: 'Tentacruel', 74: 'Geodude',
    75: 'Graveler', 76: 'Golem', 77: 'Ponyta', 78: 'Rapidash', 79: 'Slowpoke',
    80: 'Slowbro', 81: 'Magnemite', 82: 'Magneton', 83: "Farfetch'd",
    84: 'Doduo', 85: 'Dodrio', 86: 'Seel', 87: 'Dewgong', 88: 'Grimer',
    89: 'Muk', 90: 'Shellder', 91: 'Cloyster', 92: 'Gastly', 93: 'Haunter',
    94: 'Gengar', 95: 'Onix', 96: 'Drowzee', 97: 'Hypno', 98: 'Krabby',
    99: 'Kingler', 100: 'Voltorb', 101: 'Electrode', 102: 'Exeggcute',
    103: 'Exeggutor', 104: 'Cubone', 105: 'Marowak', 106: 'Hitmonlee',
    107: 'Hitmonchan', 108: 'Lickitung', 109: 'Koffing', 110: 'Weezing',
    111: 'Rhyhorn', 112: 'Rhydon', 113: 'Chansey', 114: 'Tangela',
    115: 'Kangaskhan', 116: 'Horsea', 117: 'Seadra', 118: 'Goldeen',
    119: 'Seaking', 120: 'Staryu', 121: 'Starmie', 122: 'Mr. Mime',
    123: 'Scyther', 124: 'Jynx', 125: 'Electabuzz', 126: 'Magmar',
    127: 'Pinsir', 128: 'Tauros', 129: 'Magikarp', 130: 'Gyarados',
    131: 'Lapras', 132: 'Ditto', 133: 'Eevee', 134: 'Vaporeon', 135: 'Jolteon',
    136: 'Flareon', 137: 'Porygon', 138: 'Omanyte', 139: 'Omastar',
    140: 'Kabuto', 141: 'Kabutops', 142: 'Aerodactyl', 143: 'Snorlax',
    144: 'Articuno', 145: 'Zapdos', 146: 'Moltres', 147: 'Dratini',
    148: 'Dragonair', 149: 'Dragonite', 150: 'Mewtwo', 151: 'Mew'
}

DE_NAMES = {
    1: 'Bisasam', 2: 'Bisaknosp', 3: 'Bisaflor', 4: 'Glumanda', 5: 'Glutexo',
    6: 'Glurak', 7: 'Schiggy', 8: 'Schillok', 9: 'Turtok', 10: 'Raupy',
    11: 'Safcon', 12: 'Smettbo', 13: 'Hornliu', 14: 'Kokuna', 15: 'Bibor',
    16: 'Taubsi', 17: 'Tauboga', 18: 'Tauboss', 19: 'Rattfratz',
    20: 'Rattikarl', 21: 'Habitak', 22: 'Ibitak', 23: 'Rettan', 24: 'Arbok',
    25: 'Pikachu', 26: 'Raichu', 27: 'Sandan', 28: 'Sandamer', 29: 'Nidoran♀',
    30: 'Nidorina', 31: 'Nidoqueen', 32: 'Nidoran♂', 33: 'Nidorino',
    34: 'Nidoking', 35: 'Piepi', 36: 'Pixi', 37: 'Vulpix', 38: 'Vulnona',
    39: 'Pummeluff', 40: 'Knuddeluff', 41: 'Zubat', 42: 'Golbat', 43: 'Myrapla',
    44: 'Duflor', 45: 'Giflor', 46: 'Paras', 47: 'Parasek', 48: 'Bluzuk',
    49: 'Omot', 50: 'Digda', 51: 'Digdri', 52: 'Mauzi', 53: 'Snobilikat',
    54: 'Enton', 55: 'Entoron', 56: 'Menki', 57: 'Rasaff', 58: 'Fukano',
    59: 'Arkani', 60: 'Quapsel', 61: 'Quaputzi', 62: 'Quappo', 63: 'Abra',
    64: 'Kadabra', 65: 'Simsala', 66: 'Machollo', 67: 'Maschock',
    68: 'Machomei', 69: 'Knofensa', 70: 'Ultrigaria', 71: 'Sarzenia',
    72: 'Tentacha', 73: 'Tentoxa', 74: 'Kleinstein', 75: 'Georok',
    76: 'Geowaz', 77: 'Ponita', 78: 'Gallopa', 79: 'Flegmon', 80: 'Lahmus',
    81: 'Magnetilo', 82: 'Magneton', 83: 'Porenta', 84: 'Dodu', 85: 'Dodri',
    86: 'Jurob', 87: 'Jugong', 88: 'Sleima', 89: 'Sleimok', 90: 'Muschas',
    91: 'Austos', 92: 'Nebulak', 93: 'Alpollo', 94: 'Gengar', 95: 'Onix',
    96: 'Traumato', 97: 'Hypno', 98: 'Krabby', 99: 'Kingler', 100: 'Voltobal',
    101: 'Lektrobal', 102: 'Owei', 103: 'Kokowei', 104: 'Tragosso',
    105: 'Knogga', 106: 'Kicklee', 107: 'Nockchan', 108: 'Schlurp',
    109: 'Smogon', 110: 'Smogmog', 111: 'Rihorn', 112: 'Rizeros',
    113: 'Chaneira', 114: 'Tangela', 115: 'Kangama', 116: 'Seeper',
    117: 'Seemon', 118: 'Goldini', 119: 'Golking', 120: 'Sterndu',
    121: 'Starmie', 122: 'Pantimos', 123: 'Sichlor', 124: 'Rossana',
    125: 'Elektek', 126: 'Magmar', 127: 'Pinsir', 128: 'Tauros',
    129: 'Karpador', 130: 'Garados', 131: 'Lapras', 132: 'Ditto', 133: 'Evoli',
    134: 'Aquana', 135: 'Blitza', 136: 'Flamara', 137: 'Porygon',
    138: 'Amonitas', 139: 'Amoroso', 140: 'Kabuto', 141: 'Kabutops',
    142: 'Aerodactyl', 143: 'Relaxo', 144: 'Arktos', 145: 'Zapdos',
    146: 'Lavados', 147: 'Dratini', 148: 'Dragonir', 149: 'Dragoran',
    150: 'Mewtu', 151: 'Mew'
}

FR_NAMES = {
    1: 'Bulbizarre', 2: 'Herbizarre', 3: 'Florizarre', 4: 'Salamèche',
    5: 'Reptincel', 6: 'Dracaufeu', 7: 'Carapuce', 8: 'Carabaffe',
    9: 'Tortank', 10: 'Chenipan', 11: 'Chrysacier', 12: 'Papilusion',
    13: 'Aspicot', 14: 'Coconfort', 15: 'Dardargnan', 16: 'Roucool',
    17: 'Roucoups', 18: 'Roucarnage', 19: 'Rattata', 20: 'Rattatac',
    21: 'Piafabec', 22: 'Rapasdepic', 23: 'Abo', 24: 'Arbok', 25: 'Pikachu',
    26: 'Raichu', 27: 'Sabelette', 28: 'Sablaireau', 29: 'Nidoran♀',
    30: 'Nidorina', 31: 'Nidoqueen', 32: 'Nidoran♂', 33: 'Nidorino',
    34: 'Nidoking', 35: 'Mélofée', 36: 'Mélodelfe', 37: 'Goupix',
    38: 'Feunard', 39: 'Rondoudou', 40: 'Grodoudou', 41: 'Nosferapti',
    42: 'Nosferalto', 43: 'Mystherbe', 44: 'Ortide', 45: 'Rafflesia',
    46: 'Paras', 47: 'Parasect', 48: 'Mimitoss', 49: 'Aéromite',
    50: 'Taupiqueur', 51: 'Triopikeur', 52: 'Miaouss', 53: 'Persian',
    54: 'Psykokwak', 55: 'Akwakwak', 56: 'Férosinge', 57: 'Colossinge',
    58: 'Caninos', 59: 'Arcanin', 60: 'Ptitard', 61: 'Têtarte', 62: 'Tartard',
    63: 'Abra', 64: 'Kadabra', 65: 'Alakazam', 66: 'Machoc', 67: 'Machopeur',
    68: 'Mackogneur', 69: 'Chétiflor', 70: 'Boustiflor', 71: 'Empiflor',
    72: 'Tentacool', 73: 'Tentacruel', 74: 'Racaillou', 75: 'Gravalanch',
    76: 'Grolem', 77: 'Ponyta', 78: 'Galopa', 79: 'Ramoloss', 80: 'Flagadoss',
    81: 'Magnéti', 82: 'Magnéton', 83: 'Canarticho', 84: 'Doduo',
    85: 'Dodrio', 86: 'Otaria', 87: 'Lamantine', 88: 'Tadmorv',
    89: 'Grotadmorv', 90: 'Kokiyas', 91: 'Crustabri', 92: 'Fantominus',
    93: 'Spectrum', 94: 'Ectoplasma', 95: 'Onix', 96: 'Soporifik',
    97: 'Hypnomade', 98: 'Krabby', 99: 'Krabboss', 100: 'Voltorbe',
    101: 'Électrode', 102: 'Nœunœuf', 103: 'Noadkoko', 104: 'Osselait',
    105: 'Ossatueur', 106: 'Kicklee', 107: 'Tygnon', 108: 'Excelangue',
    109: 'Smogo', 110: 'Smogogo', 111: 'Rhinocorne', 112: 'Rhinoféros',
    113: 'Leveinard', 114: 'Saquedeneu', 115: 'Kangourex', 116: 'Hypotrempe',
    117: 'Hypocéan', 118: 'Poissirène', 119: 'Poissoroy', 120: 'Stari',
    121: 'Staross', 122: 'M. Mime', 123: 'Insécateur', 124: 'Lippoutou',
    125: 'Élektek', 126: 'Magmar', 127: 'Scarabrute', 128: 'Tauros',
    129: 'Magicarpe', 130: 'Léviator', 131: 'Lokhlass', 132: 'Métamorph',
    133: 'Évoli', 134: 'Aquali', 135: 'Voltali', 136: 'Pyroli',
    137: 'Porygon', 138: 'Amonita', 139: 'Amonistar', 140: 'Kabuto',
    141: 'Kabutops', 142: 'Ptéra', 143: 'Ronflex', 144: 'Artikodin',
    145: 'Électhor', 146: 'Sulfura', 147: 'Minidraco', 148: 'Draco',
    149: 'Dracolosse', 150: 'Mewtwo', 151: 'Mew'
}

ZH_NAMES = {
    1: '妙蛙种子', 2: '妙蛙草', 3: '妙蛙花', 4: '小火龙', 5: '火恐龙',
    6: '喷火龙', 7: '杰尼龟', 8: '卡咪龟', 9: '水箭龟', 10: '绿毛虫',
    11: '铁甲蛹', 12: '巴大蝶', 13: '独角虫', 14: '铁壳蛹', 15: '大针蜂',
    16: '波波', 17: '比比鸟', 18: '大比鸟', 19: '小拉达', 20: '拉达',
    21: '烈雀', 22: '大嘴雀', 23: '阿柏蛇', 24: '阿柏怪', 25: '皮卡丘',
    26: '雷丘', 27: '穿山鼠', 28: '穿山王', 29: '尼多兰', 30: '尼多娜',
    31: '尼多后', 32: '尼多朗', 33: '尼多力诺', 34: '尼多王', 35: '皮皮',
    36: '皮可西', 37: '六尾', 38: '九尾', 39: '胖丁', 40: '胖可丁',
    41: '超音蝠', 42: '大嘴蝠', 43: '走路草', 44: '臭臭花', 45: '霸王花',
    46: '派拉斯', 47: '派拉斯特', 48: '毛球', 49: '摩鲁蛾', 50: '地鼠',
    51: '三地鼠', 52: '喵喵', 53: '猫老大', 54: '可达鸭', 55: '哥达鸭',
    56: '猴怪', 57: '火暴猴', 58: '卡蒂狗', 59: '风速狗', 60: '蚊香蝌蚪',
    61: '蚊香君', 62: '蚊香泳士', 63: '凯西', 64: '勇基拉', 65: '胡地',
    66: '腕力', 67: '豪力', 68: '怪力', 69: '喇叭芽', 70: '口呆花',
    71: '大食花', 72: '玛瑙水母', 73: '毒刺水母', 74: '小拳石', 75: '隆隆石',
    76: '隆隆岩', 77: '小火马', 78: '烈焰马', 79: '呆呆兽', 80: '呆壳兽',
    81: '小磁怪', 82: '三合一磁怪', 83: '大葱鸭', 84: '嘟嘟', 85: '嘟嘟利',
    86: '小海狮', 87: '白海狮', 88: '臭泥', 89: '臭臭泥', 90: '大舌贝',
    91: '刺甲贝', 92: '鬼斯', 93: '鬼斯通', 94: '耿鬼', 95: '大岩蛇',
    96: '催眠貘', 97: '引梦貘人', 98: '大钳蟹', 99: '巨钳蟹', 100: '霹雳电球',
    101: '顽皮雷弹', 102: '蛋蛋', 103: '椰蛋树', 104: '卡拉卡拉',
    105: '嘎啦嘎啦', 106: '飞腿郎', 107: '快拳郎', 108: '大舌头',
    109: '瓦斯弹', 110: '双弹瓦斯', 111: '独角犀牛', 112: '钻角犀兽',
    113: '吉利蛋', 114: '蔓藤怪', 115: '袋兽', 116: '墨海马', 117: '海刺龙',
    118: '角金鱼', 119: '金鱼王', 120: '海星星', 121: '宝石海星',
    122: '魔墙人偶', 123: '飞天螳螂', 124: '迷唇姐', 125: '电击兽',
    126: '鸭嘴火兽', 127: '凯罗斯', 128: '肯泰罗', 129: '鲤鱼王',
    130: '暴鲤龙', 131: '拉普拉斯', 132: '百变怪', 133: '伊布', 134: '水伊布',
    135: '雷伊布', 136: '火伊布', 137: '多边兽', 138: '菊石兽',
    139: '多刺菊石兽', 140: '化石盔', 141: '镰刀盔', 142: '化石翼龙',
    143: '卡比兽', 144: '急冻鸟', 145: '闪电鸟', 146: '火焰鸟', 147: '迷你龙',
    148: '哈克龙', 149: '快龙', 150: '超梦', 151: '梦幻'
}

POKEMON_NAMES = {
    'DE': DE_NAMES,
    'FR': FR_NAMES,
    'ZH': ZH_NAMES,
}.get(config.LANGUAGE.upper(), EN_NAMES)
